package com.yanzhu.jh.project.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 材料送检对象 sur_project_check_detection
 * 
 * @author JiangYuQi
 * @date 2023-08-26
 */
public class SurProjectCheckDetection extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 项目主键 */
    @Excel(name = "项目主键")
    private Long projectId;

    /** 单位主键 */
    @Excel(name = "单位主键")
    private Long deptId;

    /** 送检类型 */
    @Excel(name = "送检类型")
    private String checkType;

    /** 送检时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "送检时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date checkTime;

    /** 送检状态 */
    @Excel(name = "送检状态")
    private String checkState;

    /** 检测结果 */
    @Excel(name = "检测结果")
    private String detectionResult;

    /** 检测报告 */
    @Excel(name = "检测报告")
    private String detectionFile;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setProjectId(Long projectId) 
    {
        this.projectId = projectId;
    }

    public Long getProjectId() 
    {
        return projectId;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setCheckType(String checkType) 
    {
        this.checkType = checkType;
    }

    public String getCheckType() 
    {
        return checkType;
    }
    public void setCheckTime(Date checkTime) 
    {
        this.checkTime = checkTime;
    }

    public Date getCheckTime() 
    {
        return checkTime;
    }
    public void setCheckState(String checkState) 
    {
        this.checkState = checkState;
    }

    public String getCheckState() 
    {
        return checkState;
    }
    public void setDetectionResult(String detectionResult) 
    {
        this.detectionResult = detectionResult;
    }

    public String getDetectionResult() 
    {
        return detectionResult;
    }
    public void setDetectionFile(String detectionFile) 
    {
        this.detectionFile = detectionFile;
    }

    public String getDetectionFile() 
    {
        return detectionFile;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectId", getProjectId())
            .append("deptId", getDeptId())
            .append("checkType", getCheckType())
            .append("checkTime", getCheckTime())
            .append("checkState", getCheckState())
            .append("detectionResult", getDetectionResult())
            .append("detectionFile", getDetectionFile())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
